<?php
!function_exists('html') && exit('ERR');
/*針對每條信息30分鐘才同意評分一次*/
$time=30*60;

$pingfenID="pingfenID_$id";
if($_COOKIE[$pingfenID])
{
	showerr("半小時內,不能重復操作!!!");
}
set_cookie($pingfenID,"1",$time);

$_web=preg_replace("/http:\/\/([^\/]+)\/(.*)/is","http://\\1",$WEBURL);
if(!ereg("^$_web",$FROMURL))
{
	showerr("系統設置不能從外部提交數據");
}

$fidDB=$db->get_one("SELECT config AS m_config FROM {$pre}article_module WHERE id='$mid'");
if(!$fidDB)
{
	showerr(" 有誤 ");
}

$rsdb=$db->get_one("SELECT * FROM `{$pre}article_content_$mid` WHERE aid='$id' AND rid='$rid'");

if($fid!=$rsdb[fid])
{
	showerr("FID有誤,不一致");
}

$m_config=unserialize($fidDB[m_config]);

if(!$rsdb)
{
	showerr("資料有問題");
}

$array=$m_config[field_db]; 

foreach( $postdb AS $key=>$value)
{
	if($array[$key][form_type]=='pingfen')
	{
		$db->query("UPDATE {$pre}article_content_{$mid} SET `$key`=`$key`+'$value' WHERE id='$i_id' ");
	}
}
header("location:$FROMURL");
?>